<?php
require __DIR__ . "/class/Autoloader.php" ;
Autoloader::register() ;
use swg\SecretWordGame ;

$secret = "have fun";
$game = new SecretWordGame($secret);

$word = [] ;
if (isset($_REQUEST['letter'])) for ($i=0 ; $i<count($_REQUEST['letter']) ; $i++){
    $word[$i] = $_REQUEST['letter'][$i] != "" ? $_REQUEST['letter'][$i] : " " ;
}

?>

<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>The Secret Game</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="css/swg.css">
    <script src="js/swg_v2.js"></script>

</head>
<body>

<?php include "elements/header_v2.php" ?>

<div id="main-content">
    <form id="secret-word-form" method="post">
        <div id="secret-word-letters">
         <?php
            $response = $game->try($word) ;
            if ($response['win']){
                $game->generateWin();
            } else {
                $game->generateInputV2($response);
            }
        ?>
        </div>
        <?php if(!$response['win']) : ?>
            <button type="submit" class="btn btn-dark" style="margin-top: 20px">Try</button>
        <?php endif; ?>
    </form>
</div>

<?php include "elements/footer.php" ?>

</body>
</html>
